收藏
回答

云开发如何安装native依赖?

如题,小程序云开发时用到ffmpeg,但官方提供的云服务器上似乎没有,应如何安装?

最后一次编辑于  11-08
回答关注问题邀请回答
收藏

1 个回答

  • 张生
    张生
    11-08

    你在开发者工具上的详情可以找到,使用npm模块。就可以安装依赖。

    你用云函数的话,可以上传并部署安装依赖。

    看看是不是解决了。

    11-08
    赞同
    回复 3
    • 张旺
      张旺
      11-08
      我说的不是安装node依赖,是安装native依赖。比如有些nodejs库,只是对系统的native库做了一层封装。
      11-08
      回复
    • 张生
      张生
      11-08回复张旺
      可能我没有理解,云开发就是基于Node的。npm install ffmpeg,这样不就是可以安装你说的那个东西了吗?
      11-08
      回复
    • 张旺
      张旺
      11-11回复张生
      不能啊,ffmpeg本身是命令行操作的,npm的包只是对ffmpeg的命令进行的封装,方便程序操作。就像你装个npm install shelljs并不是把命令行工具装上了,只是对shell命令进行了封装。我现在想知道的是,如果我连机器上连shell都没有,怎么才能装一个呢?😂
      11-11
      回复
问题标签